#!/bin/sh

cd "$VOILA_DIRECTORY" || true

if [ -r "$REQUIREMENTS_PATH" ]; then
    pip install --no-cache-dir -r "$REQUIREMENTS_PATH"
fi

pip freeze |grep voila || pip install voila==$VOILA_VERSION
pip freeze |grep notebook || pip install notebook==$NOTEBOOK_VERSION
pip freeze |grep ipykernel || pip install ipykernel==$IPYKERNEL_VERSION

python -mvoila --no-browser --port=80 --Voila.ip=0.0.0.0  --autoreload=True $VOILA_OPTIONS
